echo off
echo "---------------------KeyWild CAD Library North_America Map-------------------------"
echo "                 Number of script files for this series:           21"
echo "               Total number of segments for this series:        7,253"
echo "         Total number of 'Coast' points for this series:      819,761"
echo "       Total number of 'Boundry' points for this series:        8,465"
echo "         Total number of 'River' points for this series:      332,854"
echo "         Total number of 'State' points for this series:       61,763"
echo "                 Total number of points for this series:    1,222,843"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\North_America_map.dwg"
Time /T > North_America_map_times.txt
Time /T
timer.exe >> North_America_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "north_america-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-boundaries(01).scr"
echo "north_america-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(01).scr"
echo "north_america-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(02).scr"
echo "north_america-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(03).scr"
echo "north_america-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(04).scr"
echo "north_america-coasts(06).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(06).scr"
echo "north_america-coasts(07).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(07).scr"
echo "north_america-coasts(09).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(09).scr"
echo "north_america-coasts(10).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-coasts(10).scr"
echo "north_america-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(01).scr"
echo "north_america-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(02).scr"
echo "north_america-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(03).scr"
echo "north_america-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(04).scr"
echo "north_america-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(05).scr"
echo "north_america-rivers(07).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(07).scr"
echo "north_america-rivers(08).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(08).scr"
echo "north_america-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(10).scr"
echo "north_america-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(11).scr"
echo "north_america-rivers(13).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-rivers(13).scr"
echo "north_america-states(01).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-states(01).scr"
echo "north_america-states(03).scr"
"%CadProg%" /L  "%WorkDir%\North_America_map.dwg"  /b "%WorkDir%\scripts-large\north_america-states(03).scr"

Time /T >> North_America_map_times.txt
timer.exe /s /n /nologo >> North_America_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---